# Uses of Interface
org.opensaml.saml.saml1.core.Conditions

Packages that use Conditions
Package
Description
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile
Classes for SAML 1.x profile behavior.

## Uses of Conditions in org.opensaml.saml.common.profile.impl

Methods in org.opensaml.saml.common.profile.impl with parameters of type Conditions
Modifier and Type
Method
Description
`private void`
AddAudienceRestrictionToAssertions.`addAudienceRestriction(ProfileRequestContext profileRequestContext, Conditions conditions)`
Add the audiences obtained from a lookup function to the `AudienceRestrictionCondition`.
`private AudienceRestrictionCondition`
AddAudienceRestrictionToAssertions.`getAudienceRestrictionCondition(Conditions conditions)`
Get the `AudienceRestrictionCondition` to which audiences will be added.

## Uses of Conditions in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return Conditions
Modifier and Type
Method
Description
`Conditions`
Assertion.`getConditions()`
Return the (singleton) Object, representing the `Conditions` sub element.
Methods in org.opensaml.saml.saml1.core with parameters of type Conditions
Modifier and Type
Method
Description
`void`
Assertion.`setConditions(Conditions conditions)`
Set the Object representing the `Conditions` Sub element.

## Uses of Conditions in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Conditions
Modifier and Type
Class
Description
`class`
`ConditionsImpl`
This is a concrete implementation of the `Conditions` interface.
Fields in org.opensaml.saml.saml1.core.impl declared as Conditions
Modifier and Type
Field
Description
`private Conditions`
AssertionImpl.`conditions`
(Possibly null) Singleton object version of the `Conditions` element.
Methods in org.opensaml.saml.saml1.core.impl that return Conditions
Modifier and Type
Method
Description
`Conditions`
ConditionsBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Conditions`
ConditionsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Conditions`
AssertionImpl.`getConditions()`
Return the (singleton) Object, representing the `Conditions` sub element.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type Conditions
Modifier and Type
Method
Description
`void`
AssertionImpl.`setConditions(Conditions c)`
Set the Object representing the `Conditions` Sub element.

## Uses of Conditions in org.opensaml.saml.saml1.profile

Methods in org.opensaml.saml.saml1.profile that return Conditions
Modifier and Type
Method
Description
`static Conditions`
SAML1ActionSupport.`addConditionsToAssertion(AbstractProfileAction action, Assertion assertion)`
Creates and adds a `Conditions` to a given `Assertion`.